## org.codehaus.groovy.grails.web.converters
Class ConverterUtil

    java.lang.Object
      org.codehaus.groovy.grails.web.converters.ConverterUtil

    public class ConverterUtil

extends Object

Constructor Summary
`protected` `ConverterUtil()`

Method Summary
`static BeanWrapper` `createBeanWrapper(Object o)`
`static Object` `createConverter(Class converterClass, Object target)`
`static Object` `createConverter(Class converterClass, Object target, ApplicationContext applicationContext)`
`protected Object` `extractIdValue(Object domainObject, GrailsDomainClassProperty idProperty)` Reads the value of the primary identifier property of a domain class instance
`static GrailsDomainClass` `getDomainClass(String name)`
`static Set` `getDomainClassNames()`
`protected static ConverterUtil` `getInstance()`
`static Object` `invokeOriginalAsTypeMethod(Object delegate, Class clazz)`
`static boolean` `isConverterClass(Class clazz)`
`static boolean` `isDomainClass(Class clazz)`
`static Converter.CircularReferenceBehaviour` `resolveCircularReferenceBehaviour(String str)`
`static ConverterException` `resolveConverterException(Throwable t)`
`static void` `setGrailsApplication(GrailsApplication grailsApp)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ConverterUtil

    protected ConverterUtil()

Method Detail

### createBeanWrapper

    public static BeanWrapper createBeanWrapper(Object o)

### extractIdValue

    protected Object extractIdValue(Object domainObject,
                                    GrailsDomainClassProperty idProperty)

  Reads the value of the primary identifier property of a domain class instance

  Parameters:
    `domainObject` - The domain class instance
    `idProperty` - The GrailsDomainClassProperty
  Returns:
    The primary identifier of the specified domain object

### createConverter

    public static Object createConverter(Class converterClass,
                                         Object target)
                                  throws ConverterException

  Throws:
    `ConverterException`

### createConverter

    public static Object createConverter(Class converterClass,
                                         Object target,
                                         ApplicationContext applicationContext)
                                  throws ConverterException

  Throws:
    `ConverterException`

### getDomainClass

    public static GrailsDomainClass getDomainClass(String name)

### getInstance

    protected static ConverterUtil getInstance()

### isConverterClass

    public static boolean isConverterClass(Class clazz)

### isDomainClass

    public static boolean isDomainClass(Class clazz)

### getDomainClassNames

    public static Set getDomainClassNames()

### setGrailsApplication

    public static void setGrailsApplication(GrailsApplication grailsApp)

### invokeOriginalAsTypeMethod

    public static Object invokeOriginalAsTypeMethod(Object delegate,
                                                    Class clazz)

### resolveConverterException

    public static ConverterException resolveConverterException(Throwable t)

### resolveCircularReferenceBehaviour

    public static Converter.CircularReferenceBehaviour resolveCircularReferenceBehaviour(String str)

Copyright (c) 2005-2009 The Grails project